### Method

# GtkSource LanguageManager set_search_path

#### Declaration [src]

    void
    gtk_source_language_manager_set_search_path (
      GtkSourceLanguageManager* lm,
      const gchar* const* dirs
    )

#### Description [src]

Sets the list of directories where the `lm` looks for language files.

If `dirs` is `NULL`, the search path is reset to default.

At the moment this function can be called only before the language files are loaded for the first time. In practice to set a custom search path for a `GtkSourceLanguageManager`, you have to call this function right after creating it.

Since GtkSourceView 5.4 this function will allow you to provide paths in the form of “resource:///” URIs to embedded `GResource`s. They must contain the path of a directory within the `GResource`.

Sets property | `GtkSource.LanguageManager:search-path`

#### Parameters

`dirs`

  Type: An array of `gchar*`

  A `NULL`-terminated array of strings or `NULL`.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.